/* @CHARSET "UTF-8"; */
/*!
 * Copyright (c) 2019 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/astro/main.less';
@import '_variables.less';
@import 'events.less';
@import 'cn4ef.less';
@import 'theiacon.less';
@import (less) '~owl.carousel/dist/assets/owl.carousel.min.css';
@import (less) '~owl.carousel/dist/assets/owl.theme.default.min.css';

@background: #e8e8e8;
@title_background: @brand-tertiary;

.line-break {
  display: block;
}

#mapSection {
  #map {
    border: 10px solid @background;
    height: 500px;
  }
}

#regionButtons {
  padding-bottom: 5px;
  .regionButton {
    margin-right: 9px;
  }
}

.yearFilter {
  margin-top: 8px;
  margin-bottom: -15px;
}

#descriptons {
  .eventType {
    background-color: @background;
    padding-bottom: 10px;
  }

  p {
    margin-bottom: 5px;
    margin-top: 5px;
  }

  .eventTypeTitle {
    font-size: 18.2px;
    font-weight: 600;
    background: @title_background;
    padding-left: 20px;
    padding-bottom: 10px;
    padding-top: 10px;
    color: #fff;
  }

  .revealCollapse {
    cursor: pointer;
    margin: 2px 0;
    padding-left: 43px;
    font-weight: bold;
    color: @text-color;
    &:hover {
      color: @link-hover-color;
    }
  }

  .collapseText {
    font-weight: 400;
    display: none;
    padding: 15px;
    margin: 10px 10px 10px 43px;
    background: #fff;
    a:hover {
      color: black;
    }
  }
}

.clusterIcon {
  width: 34px;
  height: 34px;
  border-radius: 17px;
  font-size: 17px;
  font-weight: bold;
  color: #fff;
  line-height: 34px;
  text-align: center;
  background: #000;
  opacity: 0.8;
}

// Event templates (Default)
.featured-section-row {
  font-size: 1.1em;
  h2 {
    text-align: center;
  }
  h1,
  h2,
  h3,
  h4 {
    font-weight: 500;
  }
}

.header-default-event .featured-jumbotron,
.featured-section-row-dark-bg {
  background-image: url('images/default/header.jpg');
  background-size: cover;
}

.header-default-event .featured-jumbotron {
  .list-inline {
    margin: 20px 0 0 0;
  }

  h1 {
    color: #fff;
    font-weight: 600;
  }
}

.header-saam-2021-event .featured-jumbotron {
  background-image: @saam-mobility-2021-header-banner;
  background-size: cover;

  .list-inline {
    margin: 20px 0 0 0;
    text-align: center;
  }

  h1 {
    color: #eb9741;
    font-weight: 600;
  }
}

.header-saam-2022-event .featured-jumbotron {
  background-image: @saam-cloud-2022-header-banner;
  background-size: cover;

  .list-inline {
    margin: 20px 0 0 0;
    text-align: center;
  }

  h1 {
    color: #FFF;
    font-weight: 600;
  }
}

.header-esaam2023-event .featured-jumbotron {
  background-image: @esaam2023-header-banner;
  background-size: cover;

  .list-inline {
    margin: 20px 0 0 0;
    text-align: center;
  }

  h1 {
    color: #FFF;
    font-weight: 600;
  }
}

.header-esaam2024-event {
  background-image: @esaam2024-header-banner;
  background-size: cover;

  .list-inline {
    margin: 20px 0 0 0;
  }

  h1, h2, h3, li a {
    color: #FFF;
  }

}

.featured-section-container-notes {
  font-size: 12px;
  p {
    margin-bottom: 5px;
  }
  ul {
    .list-inline;
  }
  p,
  li {
    font-size: 12px;
  }
  a {
    font-weight: bold;
  }

  h1 {
    color: #FFFFFF;
  }
}

.featured-section-row-dark-bg {
  .featured-section-container-notes {
    p,
    li {
      color: #bdbdbd;
    }
    a {
      color: #fff;
      &:hover {
        color: #fff;
      }
    }
  }
}

.saam-2021-event .featured-section-row-dark-bg {
  background-image: @saam-mobility-2021-middle-banner;
  background-size: cover;
}
/*
* ESAAM 2022
*/
.saam-2022-event .featured-section-row-dark-bg {
    p,
    li {
      color: #FFF;/* #bdbdbd;*/
    }
    a {
      color: #fff;
      &:hover {
        color: #fff;
      }
    }
    background-color: #000;

  h1, h2 {
    color: #FFF;
  }
  background-image: @saam-cloud-2022-middle-banner;
  background-size: cover;
}
.saam-2022-event .featured-section-row-lighter-bg {
    p,
    li {
      color: #000;
    }
    a {
      color: #00F;
      &:hover {
        color: #0FF;
      }
    }
    background-color: #EDEDED;

  h1, h2 {
    color: #000;
  }
}
.saam-2022-event .featured-section-row-light-bg {
    p,
    li {
      color: #000;
    }
    a {
      color: #00F;
      &:hover {
        color: #0FF;
      }
    }
    background-color: #FFF;

  h1, h2 {
    color: #F38218;
  }
}
.saam-2022-event .featured-section-row-highligthed-bg {
    p,
    li {
      color: #FFF;
    }
    a {
      color: #00F;
      &:hover {
        color: #FFF;
      }
    }
/*    background-color: #E16E09;*/
    background-color: #F38218;

  h1, h2, h3 {
    color: #FFF;
  }
}

/*
* ESAAM 2023
*/
.esaam-2023-event .featured-section-row {
  p {
  font-size: 1.5em;
	}
  li {
  font-size: 1.1em;
	}
  h2 {
    text-align: center;
  }
  h1,
  h2,
  h3,
  h4 {
    font-weight: 500;
  }
}
.esaam-2023-event .featured-section-row-dark-bg {
    p,
    li {
      color: #FFF;/* #bdbdbd;*/
    }
    a {
      color: #fff;
      &:hover {
        color: #fff;
      }
    }
    background-color: #000;

  h1, h2, h3 {
    color: #FFF;
  }
}
.esaam-2023-event .featured-section-row-lighter-bg {
    p,
    li {
      color: #000;
    }
    a {
      color: #00F;
      &:hover {
        color: #0FF;
      }
    }
    background-color: #B6E1DE;

  h1, h2, h3 {
    color: #2B70AA;
  }
}
.esaam-2023-event .featured-section-row-light-bg {
    p,
    li {
      color: #000;
    }
    a {
      color: #00F;
      &:hover {
        color: #0FF;
      }
    }
    background-color: #FFF;

  h1, h2, h3 {
    color: #2B70AA;
  }
}
.esaam-2023-event .featured-section-row-highligthed-bg {
    p,
    li {
      color: #FFF;
    }
    a {
      color: #00F;
      &:hover {
        color: #FFF;
      }
    }

    background-color: #789DB8;

  h1, h2, h3 {
    color: #FFF;
  }
}

/*
* ESAAM 2024
*/
.esaam-2024-event .featured-section-row {
  p {
  font-size: 1.5em;
	}
  li {
  font-size: 1.1em;
	}
  h2 {
    text-align: center;
  }
  h1,
  h2,
  h3,
  h4 {
    font-weight: 500;
  }
}
.esaam-2024-event .featured-section-row-dark-bg {
    p,
    li {
      color: #FFF;/* #bdbdbd;*/
    }
    a {
      color: #fff;
      &:hover {
        color: #fff;
      }
    }
    background-color: #0F4C56;

  h1, h2, h3 {
    color: #FFF;
  }
}
.esaam-2024-event .featured-section-row-lighter-bg {
    p,
    li {
      color: #0F4C56;
    }
    a {
      color: #00F;
      &:hover {
        color: #F3811A;
      }
    }
    background-color: #B6E1DE;

  h1, h2, h3 {
    color: #2B70AA;
  }
}
.esaam-2024-event .featured-section-row-light-bg {
    p,
    li {
      color: #0F4C56;
    }
    a {
      color: #00F;
      &:hover {
        color: #F3811A;
      }
    }
    background-color: #FFF;

  h1, h2, h3 {
    color: #0F4C56;
  }
}
.esaam-2024-event .featured-section-row-highligthed-bg {
    p,
    li {
      color: #FFF;
    }
    a {
      color: #F3811A;
      &:hover {
        color: #FFF;
      }
    }

    background-color: #0F4C56;

  h1, h2, h3 {
    color: #FFF;
  }
}
/* */

.featured-section-row-light-bg {
  .featured-section-container-notes {
    p,
    li {
      color: #bdbdbd;
    }
    a {
      color: #fff;
      &:hover {
        color: #fff;
      }
    }
  }
}

.eclipsefdn-agenda {
  @media (max-width: @screen-xs-max) {
    table {
      font-size: 12px;
    }
  }
}

.past-event-list,
.upcoming-event-list {
  & {
    width: 100%;
  }
  h2,
  p {
    padding: 0 15px;
    margin: 15px 0 0;
  }
}

.session-card {
  display: block;
  padding: 2rem;
  margin-bottom: 2rem;
  border-radius: 1rem;
  background-color: #86507E;
}

// Hotfixes below
// @todo: Move to EFSA

.featured-jumbotron {
  padding-top: 10rem;
  padding-bottom: 10rem;
}
